# Ogre::Singleton< T > Class Template Reference

Template class for creating single-instance global classes. More...

`#include <OgreSingleton.h>`

List of all members.

## Public Member Functions

| Singleton (void)
| ~Singleton (void)

## Static Public Member Functions

T & | getSingleton (void)
T * | getSingletonPtr (void)

## Static Protected Attributes

T * | ms_Singleton

## Detailed Description

### template<typename T>
class Ogre::Singleton< T >

Template class for creating single-instance global classes.

Definition at line 50 of file OgreSingleton.h.

## Constructor & Destructor Documentation

template<typename T>
Ogre::Singleton< T >::Singleton | ( | void |  | ) |

| Definition at line 57 of file OgreSingleton.h.

template<typename T>
Ogre::Singleton< T >::~Singleton | ( | void |  | ) |

| Definition at line 67 of file OgreSingleton.h.

## Member Function Documentation

template<typename T>
T& Ogre::Singleton< T >::getSingleton | ( | void |  | ) | `[static]`

Reimplemented in Ogre::ArchiveManager, Ogre::ControllerManager, Ogre::DynLibManager, Ogre::EventProcessor, Ogre::ExternalTextureSourceManager, Ogre::FontManager, Ogre::GpuProgramManager, Ogre::HardwareBufferManager, Ogre::HighLevelGpuProgramManager, Ogre::LogManager, Ogre::MaterialManager, Ogre::MeshManager, Ogre::OverlayManager, Ogre::ParticleSystemManager, Ogre::PlatformManager, Ogre::Profiler, Ogre::ResourceBackgroundQueue, Ogre::ResourceGroupManager, Ogre::Root, Ogre::SceneManagerEnumerator, Ogre::SkeletonManager, Ogre::TextureManager, Ogre::BspResourceManager, Ogre::Quake3ShaderManager, Ogre::TerrainPageSourceListenerManager, Ogre::GTKGLSupport, Ogre::GLSLLinkProgramManager, and OgreRefApp::World.

Definition at line 69 of file OgreSingleton.h.

template<typename T>
T* Ogre::Singleton< T >::getSingletonPtr | ( | void |  | ) | `[static]`

Reimplemented in Ogre::ArchiveManager, Ogre::ControllerManager, Ogre::DynLibManager, Ogre::EventProcessor, Ogre::ExternalTextureSourceManager, Ogre::FontManager, Ogre::GpuProgramManager, Ogre::HardwareBufferManager, Ogre::HighLevelGpuProgramManager, Ogre::LogManager, Ogre::MaterialManager, Ogre::MeshManager, Ogre::OverlayManager, Ogre::ParticleSystemManager, Ogre::PlatformManager, Ogre::Profiler, Ogre::ResourceBackgroundQueue, Ogre::ResourceGroupManager, Ogre::Root, Ogre::SceneManagerEnumerator, Ogre::SkeletonManager, Ogre::TextureManager, Ogre::BspResourceManager, Ogre::Quake3ShaderManager, Ogre::TerrainPageSourceListenerManager, Ogre::GTKGLSupport, Ogre::GLSLLinkProgramManager, and OgreRefApp::World.

Definition at line 71 of file OgreSingleton.h.

## Member Data Documentation

template<typename T>
T* Ogre::Singleton< T >::ms_Singleton `[static, protected]`

| Definition at line 54 of file OgreSingleton.h.

The documentation for this class was generated from the following file:

- OgreSingleton.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:03:40 2006